Loading...
Searching...
No Matches
Opm::Parameters::EnableAsyncVtkOutput Struct Reference

Determines if the VTK output is written to disk asynchronously. More...

`#include <fvbaseparameters.hh>`

## Static Public Attributes

static constexpr bool | value = true

## Detailed Description

Determines if the VTK output is written to disk asynchronously.

I.e. written to disk using a separate thread. This has only an effect if EnableVtkOutput is true and if the simulation is run sequentially. The reasons for this not being used for MPI-parallel simulations are that Dune's VTK output code does not support multi-threaded multi-process VTK output and even if it would, the result would be slower than when using synchronous output.

The documentation for this struct was generated from the following file:

- opm/models/discretization/common/fvbaseparameters.hh